import { User } from "@/components/ui/user";
import Image from "next/image";
import Link from "next/link";

// this is a single user helper-component, only for design purposes
export default function User({ id, userName, image }: { id: number, userName: string, image: { url: string } }) {
    return (
        <User>
            <Link href={`/user/${id}`}>
                <div className="">
                    <Image
                        src={image.url}
                        alt={userName}
                        width={264}
                        height={374}
                        priority={true}
                        style={{ width: '100%', height: '100%' }} />
                </div>
            </Link>
            <p className="truncate">{userName}</p>
        </User>
    )
}